CXX=g++
RANLIB=ranlib
DEBUG_FLAGS=-g -ggdb -DDEBUG
CXXFLAGS=-Wall -Werror -O2 #-Weffc++

%: %.o
	$(CXX) -o $@ $^ $(LDFLAGS)
%.so:
	$(CXX) -shared -Wl,-soname,$(LIB_NAME).so.$(LIB_MAJOR) \
	-o $(@).$(LIB_MAJOR).$(LIB_MINOR) $^ $(LDFLAGS)
%.a:
	$(AR) -rc $@ $^
	$(RANLIB) $@

%.d: %.cc
	$(SHELL) -ec '$(CXX) -MM $(CXXFLAGS) $< \
	| sed "s/\($*\)\.o[ :]*/\1.o $@ : /g" > $@; \
	[ -s $@ ] || rm -f $@'
