/* -*- c++ -*- */ 
/*  
 * dkim-verify 
 * Copyright (C) 2008 Erik Lotspeich 
 * 
 * This program is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation: version 2 
 * of the License. 
 * 
 * This program is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
 * GNU General Public License for more details. 
 * 
 * You should have received a copy of the GNU General Public License 
 * along with this program; if not, write to the Free Software 
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA. 
 */ 

#include <iostream>
#include <sstream>

int main(int argc, char **argv)
{
	std::cout << "Printing args: " << std::endl;

	/* Skip argv[0] */
	if (argc > 1) {
		for (int i = 1; i < argc; i++) {
			std::cout << "argv[" << i << "]: ";
			std::cout << argv[i] << std::endl;
		}
	} else {
		std::cout << "No args" << std::endl;
	}

	std::cout << "Printing from stdin: " << std::endl;

	/* TODO: Improve performance here */
	while (std::cin.good()) {
		std::cout.put(std::cin.get());	
	}

	return(0);
}
